adutil.h File Reference
`#include "config.h"`
`#include <stdio.h>`
`#include <ldns/ldns.h>`

Go to the source code of this file.

## Macros

#define | SE_ADFILE_MAXLINE 65535

## Functions

int | adutil_readline_frm_file (FILE *fd, char *line, unsigned int *l, int keep_comments)
void | adutil_rtrim_line (char *line, int *line_len)
int | adutil_whitespace_line (char *line, int line_len)

## Macro Definition Documentation

## SE_ADFILE_MAXLINE

#define SE_ADFILE_MAXLINE 65535

Adapter utilities.

Definition at line 40 of file adutil.h.

Referenced by adutil_readline_frm_file(), axfr(), backup_read_ixfr(), backup_read_namedb(), ixfr(), and soa_request().

## Function Documentation

## adutil_readline_frm_file()

int adutil_readline_frm_file | ( | FILE * | fd,
|  | char * | line,
|  | unsigned int * | l,
|  | int | keep_comments )

extern

Read one line from file.

Parameters

  [in] | fd | file descriptor of zonefile
  [out] | line | the one line
  [out] | l | keeps track of line numbers
  [in] | keep_comments | if true, keep comments

Returns
  int number of characters read

Read one line from zone file.

Definition at line 47 of file adutil.c.

References SE_ADFILE_MAXLINE.

Referenced by addns_read_rr().

## adutil_rtrim_line()

void adutil_rtrim_line | ( | char * | line,
|  | int * | line_len )

extern

Definition at line 154 of file adutil.c.

Referenced by addns_read_rr().

## adutil_whitespace_line()

int adutil_whitespace_line | ( | char * | line,
|  | int | line_len )

extern

Check for white space.

Parameters

  [in] | line | line to be checked
  [in] | line_len | line length

Check for white space.

Definition at line 183 of file adutil.c.

Referenced by addns_read_rr().